gconf-schemas crashed with UnicodeDecodeError in decode(): 'ascii' codec can't decode byte 0xc4 in position 5548: ordinal not in range(128)

Bug #1504442 reported by Wren Turkal on 2015-10-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gconf (Ubuntu)
High
Didier Roche

Bug Description

This package failed to configure during an upgrade.

ProblemType: Crash
DistroRelease: Ubuntu 15.10
Package: gconf2 3.2.6-3ubuntu3
ProcVersionSignature: Ubuntu 4.2.0-12.14-generic 4.2.1
Uname: Linux 4.2.0-12-generic x86_64
ApportVersion: 2.19.1-0ubuntu2
Architecture: amd64
Date: Fri Oct 9 01:34:43 2015
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-precise-amd64-20120703-2
ExecutablePath: /usr/sbin/gconf-schemas
InstallationDate: Installed on 2013-03-08 (944 days ago)
InstallationMedia: Ubuntu 12.04 "Precise" - Build amd64 LIVE Binary 20120703-15:08
InterpreterPath: /usr/bin/python3.4
ProcCmdline: /usr/bin/python3 /usr/sbin/gconf-schemas --register-all --no-signal
ProcEnviron:
 LANGUAGE=C
 TERM=xterm
 PATH=(custom, no user)
 LANG=C
 SHELL=/bin/bash
PythonArgs: ['/usr/sbin/gconf-schemas', '--register-all', '--no-signal']
SourcePackage: gconf
Title: gconf-schemas crashed with UnicodeDecodeError in decode(): 'ascii' codec can't decode byte 0xc4 in position 5548: ordinal not in range(128)
UpgradeStatus: Upgraded to wily on 2015-09-15 (24 days ago)
UserGroups:

Related branches

tags: removed: need-duplicate-check
Changed in gconf (Ubuntu):
importance: Undecided → Medium
information type: Private → Public
Changed in gconf (Ubuntu):
status: New → Triaged
importance: Medium → High
Changed in gconf (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gconf - 3.2.6-3ubuntu4

---------------
gconf (3.2.6-3ubuntu4) wily; urgency=medium

  * update-gconf-defaults, gconf-schemas: encode and decode from UTF-8
    to avoid postinst failing when schemas contain non ascii chars.
    (LP: #1504442, #1406641)

 -- Didier Roche <email address hidden> Wed, 14 Oct 2015 10:09:59 +0100

Changed in gconf (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers